.single_product_box {
  background-color: #FFF;
  border-radius: 10px;
  text-align: center;
}
.single_product_box a {
  text-decoration: none;
  position: relative;
  display: block;
  width: 100%;
}
.single_product_box a .badge {
  position: absolute;
  top: 0px;
  left: 0px;
  width: 100%;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -webkit-align-items: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
      -ms-flex-pack: center;
          justify-content: center;
  gap: 5px;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
      -ms-flex-direction: column;
          flex-direction: column;
}
.single_product_box a .badge .promotion_badge {
  background-color: #ac4b39;
  color: #fff;
  padding: 6px 10px;
  text-transform: uppercase;
  min-width: 169px;
}
@media (max-width: 992px) {
  .single_product_box a .badge .promotion_badge {
    min-width: 100px;
    padding: 3px 10px;
  }
}
.single_product_box a .badge .promotion_badge p {
  margin-top: 0px;
  margin-bottom: 0px;
  font-size: 18px;
  font-weight: 700;
}
@media (max-width: 992px) {
  .single_product_box a .badge .promotion_badge p {
    font-size: 14px;
  }
}
.single_product_box a .badge .news_badge {
  background-color: #3f8a7a;
  color: #fff;
  padding: 6px 10px;
  text-transform: uppercase;
  min-width: 169px;
}
@media (max-width: 992px) {
  .single_product_box a .badge .news_badge {
    min-width: 100px;
    padding: 3px 10px;
  }
}
.single_product_box a .badge .news_badge p {
  margin-top: 0px;
  margin-bottom: 0px;
  font-size: 18px;
  font-weight: 700;
}
@media (max-width: 992px) {
  .single_product_box a .badge .news_badge p {
    font-size: 14px;
  }
}
.single_product_box a:hover .title h3 {
  text-decoration: underline;
}
.single_product_box .thumbnail {
  height: 320px;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -webkit-align-items: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
      -ms-flex-pack: center;
          justify-content: center;
  padding: 30px 20px;
}
@media (max-width: 1300px) {
  .single_product_box .thumbnail {
    height: 280px;
  }
}
@media (max-width: 992px) {
  .single_product_box .thumbnail {
    height: 250px;
    padding: 20px 10px;
  }
}
.single_product_box .thumbnail img {
  width: 100%;
  height: 100%;
  -o-object-fit: contain;
     object-fit: contain;
}
.single_product_box .category {
  font-size: 14px;
  color: #636f56;
}
.single_product_box .title h3 {
  font-size: 2.4rem;
  font-weight: 700;
  margin-top: 5px;
  margin-bottom: 25px;
  color: #636f56;
}
@media (max-width: 1300px) {
  .single_product_box .title h3 {
    margin-bottom: 15px;
  }
}
.single_product_box .single_product_box__price {
  display: -webkit-inline-box;
  display: -webkit-inline-flex;
  display: -ms-inline-flexbox;
  display: inline-flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
  -webkit-align-items: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 4px;
  margin: 0 0 12px;
  line-height: 1.15;
  text-align: left;
  text-align: center;
  min-height: 60px;
}
@media (max-width: 1300px) {
  .single_product_box .single_product_box__price {
    min-height: 40px;
  }
}
.single_product_box .single_product_box__price .promotion_price {
  margin: 0;
  padding: 0;
  font-size: 22px;
  font-weight: 700;
  color: #ac4b39;
}
.single_product_box .single_product_box__price .promotion_price .woocommerce-Price-amount,
.single_product_box .single_product_box__price .promotion_price bdi {
  color: #ac4b39 !important;
}
.single_product_box .single_product_box__price .regular_price {
  margin: 0;
  padding: 0;
  font-size: 22px;
  font-weight: 700;
  color: #3f8a7a;
}
.single_product_box .single_product_box__price .regular_price .woocommerce-Price-amount,
.single_product_box .single_product_box__price .regular_price bdi {
  color: #3f8a7a !important;
}
.single_product_box .single_product_box__price .regular_price--compare {
  font-size: 14px;
  font-weight: 400;
  color: #636f56;
  text-decoration: line-through;
}
.single_product_box .single_product_box__price .regular_price--compare .woocommerce-Price-amount,
.single_product_box .single_product_box__price .regular_price--compare bdi {
  color: #636f56 !important;
  text-decoration: line-through;
}
.single_product_box .add_to_cart .add_to_cart_inline {
  border: none !important;
  padding: 0px !important;
  margin: 0px;
}
.single_product_box .add_to_cart a {
  background-color: transparent !important;
  border: none !important;
  border-top: 1px solid #eff0ee !important;
  border-radius: 0px;
  font-size: 15px;
  color: #ac4b39 !important;
  text-decoration: none;
  width: 100%;
  padding: 15px 10px;
  -webkit-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
  display: -webkit-inline-box;
  display: -webkit-inline-flex;
  display: -ms-inline-flexbox;
  display: inline-flex;
  -webkit-box-align: center;
  -webkit-align-items: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
      -ms-flex-pack: center;
          justify-content: center;
  gap: 10px;
}
.single_product_box .add_to_cart a:hover:before {
  -webkit-filter: brightness(0) invert(1);
          filter: brightness(0) invert(1);
}
.single_product_box .add_to_cart a:before {
  content: "";
  display: block;
  width: 14px;
  height: 18px;
  background-image: url("../../../../img/ikona-koszyk-2@2.png");
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 14px;
  margin-top: -3px;
  -webkit-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease;
}
.single_product_box .add_to_cart a:hover {
  background-color: #ac4b39 !important;
  color: #ffffff !important;
}
/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
